description = "将创作计划分解为可执行的任务清单"

prompt = """

基于创作计划生成具体的、可执行的任务列表。

## 目标

将宏观计划转化为微观任务，让创作变得可管理、可追踪。

## 执行步骤

### 1. 加载计划文档

运行 `.specify/scripts/bash/tasks-story.sh` 加载：
- 创作计划：`stories/*/creative-plan.md`
- 章节架构信息
- 时间线和依赖关系

### 2. 生成任务列表

创建 `stories/*/tasks.md`，包含：

#### 核心写作任务

**重要**：从specification.md第五章和creative-plan.md的线索分布，为每个写作任务标注涉及线索。

```markdown
## 写作任务

### 高优先级 [必须首先完成]

- [ ] [P0] **T001** - 第1章：[章节标题] (目标字数)
  - **核心任务**：[本章的主要任务]
  - **关键情节**：[具体情节点]
  - **涉及线索**：
    - PL-XX([线索名称]) ⭐⭐⭐ 主推进
    - PL-YY([线索名称]) ⭐ 背景
  - **交汇点**：[如适用] X-001([交汇点描述])
  - **伏笔埋设/揭晓**：[如适用] F-001埋设 / F-002揭晓
  - **必须包含**：[关键元素列表]
  - **章末钩子**：[悬念设置]
  - **依赖**：无
  - **输出**：`content/volume1/chapter-001.md`

- [ ] [P0] **T002** - 角色档案：主角详细设定
  - **核心任务**：完善主角设定
  - **必须包含**：性格、背景、能力、欲望、恐惧、成长弧线
  - **依赖**：无
  - **输出**：`characters/protagonist.md`

### 中优先级 [正常推进]

- [ ] [P1] **T005** - 第5章：[章节标题] (目标字数)
  - **核心任务**：[本章主要任务]
  - **关键情节**：[具体情节]
  - **涉及线索**：
    - PL-01([线索名]) ⭐⭐⭐ 主推进
    - PL-02([线索名]) ⭐⭐ 辅助
  - **交汇点**：无
  - **伏笔埋设/揭晓**：F-001埋设([伏笔内容])
  - **必须包含**：[关键元素]
  - **章末钩子**：[悬念]
  - **依赖**：T004(第4章)
  - **输出**：`content/volume1/chapter-005.md`

### 低优先级 [可选完善]

- [ ] [P2] 番外：角色前传
- [ ] [P2] 设定集：详细世界观
```

**任务字段说明**：
- **涉及线索**：从creative-plan.md的"活跃线索"列读取，标明本章推进哪些线索
- **交汇点**：从specification.md 5.3节读取，标明本章是否为交汇点
- **伏笔埋设/揭晓**：从specification.md 5.4节读取，标明本章涉及的伏笔操作

#### 任务标记说明
- `[P]` - 可并行执行
- `[依赖:X]` - 需要先完成任务X
- `[P0/P1/P2]` - 优先级标记

### 3. 任务排序和分组

- 按优先级分组
- 识别依赖关系
- 标记可并行任务
- 估算完成时间

### 4. 生成执行计划

```markdown
## 执行计划

### 第一阶段（第1周）
并行任务组1：
- 主角设定 [P]
- 世界观基础 [P]
- 第1章草稿 [P]

### 第二阶段（第2-3周）
串行任务：
- 第2章 [依赖:第1章]
- 第3章 [依赖:第2章]

并行任务组2：
- 配角设定 [P]
- 场景设计 [P]
```

### 5. 输出任务统计

- 总任务数
- 预计总字数
- 预计完成时间
- 关键里程碑

提示下一步：开始执行 `/write` 或查看特定任务详情。
"""
